installation problems

TeeChart FireMonkey (Windows,OSX,iOS & Android) for Embarcadero RAD Studio, Delphi and C++ Builder (XE5+)
Post Reply
rbarone
Newbie
Newbie
Posts: 20
Joined: Thu May 18, 2023 12:00 am

installation problems

Post by rbarone » Thu Mar 21, 2024 11:11 am

-Embarcadero® Delphi 12 Version 29.0.51511.6924
-TeeChartVCLFMXStandard-2023.39
-Windows 10 Pro 22H2
My customer code is :B2385805 Perpetual License. Includes one year subscription (Valid)
Hi everyone
I installed Teechart and when I open Delphi12 I get an error which I attach
Cannot load package Tee929......
I tried uninstalling and installing again after restarting the PC
The error persists
Advice?
Thanks so much everyone
Attachments
teechart_error_install_detail.png
teechart_error_install_detail.png (103.01 KiB) Viewed 3272 times
teechart_error_install.png
teechart_error_install.png (222.21 KiB) Viewed 3285 times

Yeray
Site Admin
Site Admin
Posts: 9552
Joined: Tue Dec 05, 2006 12:00 am
Location: Girona, Catalonia
Contact:

Re: installation problems

Post by Yeray » Fri Mar 22, 2024 1:14 pm

Hello,

The error message "Cannot load package *Tee*. It contains unit *, which is also contained in package *Tee*", where any of the *Tee* packages ends with a "0" (*Tee*0), indicates that the TeeChart Standard/Lite package that was shipped with the IDE (*Tee*0) is still trying to be loaded, and this creates a conflict with the version you are installing.

There are two possible causes and solutions for this error:

- If the TeeChart Standard/Lite package shipped with the IDE (*Tee*0) is present and selected in the list of packages in the IDE, please uncheck it. Then you should be able to select the TeeChart Pro/Std commercial package (*Tee*) in the same list.

- There are some 3rd party tools (*) that can be referencing the TeeChart Standard/Lite package shipped with the IDE, and thus causing this conflict. Please try to uncheck temporally any 3rd party tool package you may have installed in the list of packages to try to identify which one is causing the conflict.

(*) Some known 3rd party tools using TeeChart Standard/Lite are: FastReports, DevExpress and ReportBuilder.
Steema Software supports the integration of TeeChart into QuickReport and IntraWeb. Any other integration is supported by the 3rd party tool manufacturer.

Also, don't forget to check the VCLTee prefix (FMXTee for FMX projects) is present in the "unit scope names".
Best Regards,
ImageYeray Alonso
Development & Support
Steema Software
Av. Montilivi 33, 17003 Girona, Catalonia (SP)
Image Image Image Image Image Image Please read our Bug Fixing Policy

rbarone
Newbie
Newbie
Posts: 20
Joined: Thu May 18, 2023 12:00 am

Re: installation problems

Post by rbarone » Fri Mar 22, 2024 2:18 pm

Sorry for my English i'm Italian

Hello and thank you for your always punctual availability in helping customers
Previously to your post I had solved and prepared the sequence of things to do as in this case there are multiple problems
I hope they are useful to other colleagues:

1) Do not install Delphi 12 if there are other Delphi installations (8/10 etc.) as the Delphi installer will first insert the paths of previous versions (16-18-20-23) into the PATH variable to look for BPLs :|
2) Uninstall previous versions and carefully "sanitize" the Public etc folders of previous Delphi installations
3) Install Delphi after restarting your PC
4) Install Teechart FIRST and then FastReport
5) You may have a FastReport error when starting Delphi12, especially on language BPLs
6) In this case start the FastReport installation program with the REPAIR function

Now you are ready to fight with Delphi bugs! :lol:

Post Reply